Modbot Docs

Get conversation

GET/api/chat/conversations/{id}

One of your conversations, the version being read, in order.

Needs the UseAiChat permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/chat/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "full": true,  "messages": [    {      "id": 0,      "parentId": null,      "versions": [        0      ],      "role": "string",      "content": "string",      "toolCalls": [        {          "id": "string",          "name": "string",          "label": "string",          "arguments": "string"        }      ],      "toolCallId": null,      "toolName": null,      "toolLabel": null,      "references": [        {          "kind": "string",          "id": "string",          "label": null,          "author": null        }      ],      "worked": null,      "durationMs": null,      "stopped": true,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.